<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

$nav_menu_args = RDTheme_Helper::nav_menu_args();

// Logo
$dark_logo      = empty(  RDTheme::$options['logo']['id'] ) ? '<img width="208" height="28" class="logo-small" alt="'.get_bloginfo( 'name' ).'" src="'.RDTHEME_IMG_URL . 'logo-dark.png'.'">' :  wp_get_attachment_image(RDTheme::$options['logo']['id'],'full',"", array( "class" => "logo-small" ));

$light_logo      = empty(  RDTheme::$options['logo_light']['id'] ) ? '<img width="208" height="28" class="logo-small" alt="'.get_bloginfo( 'name' ).'" src="'.RDTHEME_IMG_URL . 'logo-light.png'.'">' :  wp_get_attachment_image(RDTheme::$options['logo_light']['id'],'full',"", array( "class" => "logo-small" ));
?>
<div id="sticker">
	<div class="site-branding">
		<?php if ( RDTheme::$options['logo_type'] == 'image_type' ) { ?>
			<a class="dark-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses_post( $dark_logo ); ?></a>
			<a class="light-logo" href="<?php echo esc_url( home_url( '/' ) );?>"><?php echo wp_kses_post( $light_logo ); ?></a>
		<?php } else { ?>
			<a class="rt-text-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php echo RDTheme::$options['logo_text'];  ?></a>
		<?php } ?>
	</div>
	<?php if ( RDTheme::$options['header_btn_txt'] && RDTheme::$options['header_btn_url'] ): ?>
		<a class="header-menu-btn" href="<?php echo RDTheme::$options['header_btn_url'];?>"><?php echo RDTheme::$options['header_btn_txt'];?></a>
	<?php endif; ?>
	<div id="site-navigation" class="main-navigation">
		<?php wp_nav_menu( $nav_menu_args );?>
	</div>
	<div class="clear"></div>
</div>